package {

	import flash.utils.getTimer;
	
	import org.flixel.*;

	public class PlayState extends FlxState {
		
		[Embed(source = "/assets/level.csv", mimeType = "application/octet-stream")] public var map : Class;
		[Embed(source = "/assets/sky1.png")] public var skyBg : Class;
		
		public static var elapsedTime:Number = 0;
		private static var lastTime:uint = 0
		
		private var camera : FlxCamera;
		
		private var background : FlxSprite;
		
		private var tilemap : FlxTilemap;
		
		private var player : Player;
		
		public function PlayState(): void {
			super();
		}
		
		override public function create():void {
			FlxG.worldBounds.width = 320;
			FlxG.worldBounds.height = 240;
			
			background = new FlxSprite(0, 0, skyBg);
			background.scrollFactor.x = 0;
			background.scrollFactor.y = 0;
			add(background);
			
			tilemap = new FlxTilemap();
			tilemap.loadMap(new map(), FlxTilemap.ImgAuto, 8, 8, FlxTilemap.AUTO, 0, 1, 1);
			add(tilemap);
			
			
			player = new Player(8 * 2, 8 * 2);
			add(player);
			
			
			camera = new FlxCamera(0, 0, FlxG.width, FlxG.height);
			FlxG.resetCameras(camera);
			camera.follow(player, FlxCamera.STYLE_LOCKON);
			
			super.create();
		}
		
		override public function update():void {
			super.update();
			
			var time:uint = getTimer();
			elapsedTime = (time - lastTime) / 1000;
			lastTime = time;
			
			
			if (FlxG.keys.pressed("ESCAPE")) {
				FlxG.switchState(new MenuState());
			}
			
			FlxG.collide(player, tilemap);
		}
	}
}

